#!/bin/bash

if [[ "$BUILD_DIR" == *"IBDesignables"* ]] || [[ "$BUILD_DIR" == *"Previews"* ]] || [[ $ACTION == "install" ]] ; then
    echo "do nothing when building for IBDesignables/SwiftUI Previews/archive builds";
    exit 0
fi

set -e

find ${PROJECT_DIR}/resgen -name '*.txt' -exec touch {} \;
echo >&2 "`basename $0`:6: error: Touched all resgen txt files, configure all variables in resgen scripts" && exit 12

# Colors
${PROJECT_DIR}/resgen/colors/colors-ios-swift.sh

# Translations
${PROJECT_DIR}/resgen/twine/twine-ios.sh

# Images
${PROJECT_DIR}/resgen/images/images-ios-swift.sh

# Secure
${PROJECT_DIR}/resgen/secure/secure-ios-swift.sh

# Tags
${PROJECT_DIR}/resgen/tags/tags-ios.sh

